framework:
    workflows:
        flux:
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Flux
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
        activite:
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Activite
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'warning'
        procedure:
            metadata:
                title: 'Procedure'
                run: 'To do'
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Procedure
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'warning'
        document:
            metadata:
                title: 'Document'
                run: 'To do'
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Document
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'warning'
                redo_validation:
                    from: rejected
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
        processus:
            metadata:
                title: 'Processus'
                run: 'To do'
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Processus
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'warning'        
        objetmetier:
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\ObjetMetier
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'warning'
        application:
            metadata:
                title: 'Application'
                run: 'To do'
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Application
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'warning'  
        metier:
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Metier
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'warning'
        systeme:
            metadata:
                title: 'Systeme'
                run: 'To do'
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Systeme
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'warning'
        network:
            metadata:
                title: 'Network'
                run: 'To do'
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Network
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'warning'
        storage:
            metadata:
                title: 'Storage'
                run: 'To do'
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Storage
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'warning'
        societe:
            metadata:
                title: 'Societe'
                run: 'To do'
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Societe
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'warning'   
        program:
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Program
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                review:
                    metadata:
                        title:  'Relecture'
                rejected:
                    metadata:
                        title:  'Rejeté'
                validation:
                    metadata:
                        title:  'Attente validation'
                validation_ok:
                    metadata:
                        title:  'Valider'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'people'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'people'
                        ambiance: 'warning'
        projet:
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Projet
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                review:
                    metadata:
                        title:  'Relecture'
                rejected:
                    metadata:
                        title:  'Rejeté'
                validation:
                    metadata:
                        title:  'Attente validation'
                validation_ok:
                    metadata:
                        title:  'Valider'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'people'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'people'
                        ambiance: 'warning'
        risque:
            metadata:
                title: 'Risque'
                run: 'To do'
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Risque
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'warning'
        opportunite:
            metadata:
                title: 'Opportunite'
                run: 'To do'
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Opportunite
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'warning'   
        action:
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Action
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
        jalonconnectaction:
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\JalonConnectAction
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
        audit:
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Audit
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'people'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'people'
                        ambiance: 'warning'
        dysfonctionnement:
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Dysfonctionnement
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
        aspectenv:
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\AspectEnv
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
        visitesite:
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\VisiteSite
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'people'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'people'
                        ambiance: 'warning'
        objectif:
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Objectif
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'redacteur'
        reclamation:
            type: 'state_machine' 
            audit_trail:
                enabled: true
            marking_store:
                type: single_state
                arguments:
                    - statut
            supports:
                - App\Entity\Reclamation
            initial_marking: draft
            places:
                draft:
                    metadata:
                        title:  'Brouillon'
                        ambiance: 'primary'
                review:
                    metadata:
                        title:  'Relecture'
                        ambiance: 'warning'
                rejected:
                    metadata:
                        title:  'Rejeté'
                        ambiance: 'danger'
                validation:
                    metadata:
                        title:  'Validation'
                        ambiance: 'info'
                validation_ok:
                    metadata:
                        title:  'Validé'
                        ambiance: 'success'
            transitions:
                to_review:
                    from: draft
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'people'
                        ambiance: 'success'
                valid_review:
                    from: review
                    to:   validation
                    metadata:
                        title: 'Demander une validation'
                        role: 'suppleant'
                        ambiance: 'success'
                reject_review:
                    from: review
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'suppleant'
                        ambiance: 'warning'
                valid_approve:
                    from: validation
                    to:   validation_ok
                    metadata:
                        title: 'Valider'
                        role: 'responsable'
                        ambiance: 'success'
                reject_valid:
                    from: validation
                    to:   rejected
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_maj:
                    from: validation_ok
                    to:   draft
                    metadata:
                        title: 'Demander une mise à jour'
                        role: 'responsable'
                        ambiance: 'warning'
                redo_rejected:
                    from: rejected
                    to:   review
                    metadata:
                        title: 'Demander une relecture'
                        role: 'people'
                        ambiance: 'warning'